## ironic-discoverd 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
cliff>=1.10.0,<1.11.0  # Apache-2.0
eventlet>=0.16.1,!=0.17.0
Flask>=0.10,<1.0
keystonemiddleware>=1.5.0
python-ironicclient>=0.2.1
python-keystoneclient>=1.1.0
python-openstackclient>=1.0.0
requests>=2.2.0,!=2.4.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
six>=1.9.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0

=== debian/changelog ===
ironic-discoverd (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #797056)

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2015 14:31:11 +0200

=== debian/control ===
Source: ironic-discoverd
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-cliff (>= 1.10.0),
                     python-eventlet (>= 0.16.1),
                     python-flask,
                     python-ironicclient (>= 0.2.1),
                     python-keystoneclient (>= 1:1.1.0),
                     python-keystonemiddleware (>= 1.5.0),
                     python-mock,
                     python-openstackclient (>= 1.0.0),
                     python-oslo.config (>= 1.9.3),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 1.4.0),
                     python-requests,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.3.0),
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/ironic-discoverd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ironic-discoverd.git
Homepage: https://github.com/openstack/ironic-discoverd

Package: python-ironic-discoverd
Architecture: all
Depends: python-babel,
         python-cliff (>= 1.10.0),
         python-eventlet (>= 0.16.1),
         python-flask,
         python-ironicclient (>= 0.2.1),
         python-keystoneclient (>= 1:1.1.0),
         python-keystonemiddleware (>= 1.5.0),
         python-openstackclient (>= 1.0.0),
         python-oslo.config (>= 1.9.3),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 1.4.0),
         python-requests,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.3.0),
         ${misc:Depends},
         ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-discoverd-ramdisk element.
 .
 This package contains the Python 2.7 files.

Package: ironic-discoverd
Architecture: all
Depends: adduser,
         python-ironic-discoverd (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-discoverd-ramdisk element.
 .
 This package contains the daemon.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/ironic-discoverd.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python-coverage run --branch --include "ironic_discoverd*" -m unittest discover ironic_discoverd.test || true
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build debian/ironic-discoverd.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-discoverd.postinst

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ironic-discoverd; \
	done
	install -D -m 0640 example.conf $(CURDIR)/debian/ironic-discoverd/usr/share/ironic-discoverd/discoverd.conf

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic-discoverd/tags .*/(\d[\d\.]+)\.tar\.gz
